<?php
/*
 * 套系详情
 */

require_once("config.php");

$shop_id = $_GET['shop_id'];
$package_id = $_GET['id'];
$package = $sdk->getPackage($shop_id,$package_id);

/*
print_r($package);
Array
(
    [id] => 8zyI1G  // ID
    [created_at] => 2016-09-28 03:51:01 // 创建时间
    [name] => 套餐B  // 套系名称
    [short_name] => 套餐B套餐B  // 套系简称
    [detail] => <p>4321234</p>  // 套系详情
    [hide_price] => 1  // 隐藏价格
    [price] => 1998.0  // 价格
    [decorate_price] => 40  // 精修加片单张价格
    [addition_origin_price] =>   // 底片加片单张价格
    [discount_price] =>   // 优惠价格
    [present_all] =>  // 底片全送  1 是 0 否
    [photos_number] => 150  // 拍摄数量
    [decorate_number] => 20  // 精修数量
    [clothes] => 5  // 服装数量
    [cloth_desc] =>   // 服装说明
    [scenes] => 4  // 场景数量
    [scene_desc] =>   // 场景说明
    [rank] => 0  // 排序
    [has_video] =>   // 是否有视频  1是 0 否
    [video_numbers] => 1  //视频数量
    [video_minutes] => 30  // 视频时长
    [video_desc] => 说明  // 视频说明
    [required_fields] => Array  // 预约时必填写项
        (
        'customer.email'
        )

    [online_pay] => 1  // 开启在线支付
    [show_in_weixin] => 1  // 微信端显示
    [status] => 1  // 状态  1 启用 0 不启用
    [prepay] => 100.0  // 预约定金金额
    [order_weekdays] => 3,4,5,6,7  // 周几可预约 1-7
    [custom_order_time] => 1  // 自定义预约时间段 1是 0否
    [order_time_range] => 09:00|09:30|10:00|10:30  // 自定义每天可预约的档期
    [order_default_remark] =>  // 预约时 备注默认值
    [photo_type] => Array  // 拍摄类型
        (
            [id] => pYZI35
            [name] => 亲子
            [system_type] => 1 // 系统类型 1 亲子儿童, 2 婚纱, 3 个人艺术, 4 个人证件, 5 旅行拍摄, 6 跟拍, 9 其它,
        )

    [main_image] => Array // 套系主图，3个尺寸
        (
            [thumb_url] => http://...
            [medium_url] => http://...
            [origin_url] => http://...
        )

    [images] => Array  // 套系样片列表，3个尺寸
        (
            [0] => Array
                (
                    [thumb_url] => http://...
                    [medium_url] => http://...
                    [origin_url] => http://...
                )

            [1] => Array
                (
                    [thumb_url] => http://...
                    [medium_url] => http://...
                    [origin_url] => http://...
                )

        )

)
*/
?>


<?
if(!empty($package['main_image'])){
?>
<div>
  <img src="<?=$package['main_image']['medium_url']?>"/>
</div>
<?
}
?>

<div>
  <?=$package['name']?>
  <?=$package['hide_price']==1 ? '保密':$package['price']?>
  <a href="booking.php?shop_id=<?=$shop_id?>&package_id=<?=$package['id']?>">立即预约</a>
</div>

<div>
  <?=$package['present_all'] ? '底片全送' : null?>
</div>
<div>
  拍摄<?=$package['photos_number']?>张
</div>
<div>
  精修<?=$package['decorate_number']?>张
</div>
<div>
  <?=$package['present_all']==1 ? '底片全送' : null?>
</div>
<div>
  服装<?=$package['clothes']?>套
</div>
<div>
  场景<?=$package['scenes']?>个
</div>



<div>
  <?=$package['detail']?>
</div>

<?php
for ($i=0; $i < count($package['images']); $i++) { 
  $image = $package['images'][$i];
?>

<div>
  <img src="<?=$image['medium_url']?>">
</div>

<?php
}
?>


